#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 postgresql-binary
version:              0.12.3.1
visibility:           public
id:                   postgresql-binary-0.12.3.1-lgrh4AUiBQ8JEHbc62Afw
key:                  postgresql-binary-0.12.3.1-lgrh4AUiBQ8JEHbc62Afw
license:              MIT
copyright:            (c) 2014, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/postgresql-binary 
synopsis:             Encoders and decoders for the PostgreSQL'\''s binary format
description:
    An API for dealing with PostgreSQL'\''s binary data format.

    It can be used to implement performant bindings to Postgres.
    E.g., <http://hackage.haskell.org/package/hasql "hasql">
    is based on this library.

    It supports all Postgres versions starting from 8.3
    and is tested against 8.3, 9.3 and 9.5
    with the @integer_datetimes@ setting off and on.

category:             PostgreSQL, Database, Codecs, Parsing
abi:                  9f54bdb39a3195cff1dbe6979be2a924
exposed:              True
exposed-modules:
    PostgreSQL.Binary.Data PostgreSQL.Binary.Decoding
    PostgreSQL.Binary.Encoding

hidden-modules:
    PostgreSQL.Binary.Encoding.Builders PostgreSQL.Binary.Prelude
    PostgreSQL.Binary.Integral PostgreSQL.Binary.Interval
    PostgreSQL.Binary.Numeric PostgreSQL.Binary.Time
    PostgreSQL.Binary.Inet PostgreSQL.Binary.BuilderPrim

import-dirs:          /usr/lib/ghc-8.10.2/site-local/postgresql-binary-0.12.3.1
library-dirs:         /usr/lib/ghc-8.10.2/site-local/postgresql-binary-0.12.3.1
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-8.10.2/postgresql-binary-0.12.3.1

hs-libraries:         HSpostgresql-binary-0.12.3.1-lgrh4AUiBQ8JEHbc62Afw
depends:
    aeson-1.5.4.1-L4blGMy4f2B3cvSeFwSnLz base-4.14.1.0
    base-prelude-1.4-HdaTqh6hlYNGbCWV2trBTv
    binary-parser-0.5.6-87U5ZUFQP7R2OkOzpuLynA bytestring-0.10.10.0
    bytestring-strict-builder-0.4.5.3-24SuEqao1id9LHEqC5pYTX
    containers-0.6.2.1 loch-th-0.2.2-I5sC8xMdeHtGFCQGeCmJ41
    network-ip-0.3.0.3-9mw7hwpXmQTJqpdeJKLzBS
    placeholders-0.1-LnT1Ex8VOCYHfdA136T0ei
    scientific-0.3.6.2-K1lgpvAXUBv7RvtLlhPwni text-1.2.3.2 time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.13.0-E55HH0rr5oHcQHLhHgXKG
    uuid-1.3.13-FyudoNsqJZd2JFvbZCZUdP
    vector-0.12.1.2-LUOy3uygiv41Azo8Cflpf4

haddock-interfaces:
    /usr/share/doc/haskell-postgresql-binary/html/postgresql-binary.haddock

haddock-html:         /usr/share/doc/haskell-postgresql-binary/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

